# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::SayArg Class Reference

Used internally by the Say class. More...

`#include <Say.hpp>`

List of all members.

## Public Member Functions

virtual const char * | className ()
| SayArg ()
| SayArg (const unsigned char *d)
| SayArg (const std::string &d)
| SayArg (const char *d)
| SayArg (void *d)
| SayArg (const String &d)
| SayArg (double d)
| SayArg (float d)
| SayArg (unsigned char d)
| SayArg (signed char d)
| SayArg (unsigned short d)
| SayArg (signed short d)
| SayArg (unsigned int d)
| SayArg (signed int d)
| SayArg (unsigned long d)
| SayArg (signed long d)
| SayArg (unsigned long long d)
| SayArg (signed long long d)

## Protected Types

enum | { NO_TYPE, STRING, FLOAT64, ULONGLONG, SLONGLONG }

## Protected Member Functions

void | init ()

## Protected Attributes

String | str
double | float64
unsigned long long | ulonglong
signed long long | slonglong
enum vl::SayArg:: { ... } | type

## Friends

class | Say

## Detailed Description

Used internally by the Say class.

## Member Enumeration Documentation

anonymous enum`[protected]`

Enumerator:

  NO_TYPE |
  STRING |
  FLOAT64 |
  ULONGLONG |
  SLONGLONG |

## Constructor & Destructor Documentation

SayArg::SayArg | ( |  | ) |

SayArg::SayArg | ( | const unsigned char * | d | ) | `[explicit]`

SayArg::SayArg | ( | const std::string & | d | ) | `[explicit]`

SayArg::SayArg | ( | const char * | d | ) | `[explicit]`

SayArg::SayArg | ( | void * | d | ) | `[explicit]`

SayArg::SayArg | ( | const String & | d | ) | `[explicit]`

SayArg::SayArg | ( | double | d | ) | `[explicit]`

SayArg::SayArg | ( | float | d | ) | `[explicit]`

SayArg::SayArg | ( | unsigned char | d | ) | `[explicit]`

SayArg::SayArg | ( | signed char | d | ) | `[explicit]`

SayArg::SayArg | ( | unsigned short | d | ) | `[explicit]`

SayArg::SayArg | ( | signed short | d | ) | `[explicit]`

SayArg::SayArg | ( | unsigned int | d | ) | `[explicit]`

SayArg::SayArg | ( | signed int | d | ) | `[explicit]`

SayArg::SayArg | ( | unsigned long | d | ) | `[explicit]`

SayArg::SayArg | ( | signed long | d | ) | `[explicit]`

SayArg::SayArg | ( | unsigned long long | d | ) | `[explicit]`

SayArg::SayArg | ( | signed long long | d | ) | `[explicit]`

## Member Function Documentation

virtual const char* vl::SayArg::className | ( |  | ) | `[inline, virtual]`

void SayArg::init | ( |  | ) | `[protected]`

## Friends And Related Function Documentation

friend class Say`[friend]`

## Member Data Documentation

String vl::SayArg::str`[protected]`

double vl::SayArg::float64`[protected]`

unsigned long long vl::SayArg::ulonglong`[protected]`

signed long long vl::SayArg::slonglong`[protected]`

enum { ... } vl::SayArg::type`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Say.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Say.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:39 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.